std::promise< _Res >(3cxx)

NAME
std::promise< _Res > - Primary template for promise.

SYNOPSIS

#include <future>

  Public Member Functions

template<typename _Allocator> promise (allocator_arg_t, const _Allocator &, promise &&__rhs)
template<typename _Allocator> promise (allocator_arg_t, const _Allocator &__a)
promise (const promise &)=delete
promise (promise &&__rhs) noexcept
future< _Res > get_future ()
promise & operator= (const promise &)=delete
promise & operator= (promise &&__rhs) noexcept
void set_exception (exception_ptr __p)
void set_exception_at_thread_exit (exception_ptr __p)
void set_value (_Res &&__r)
void set_value (const _Res &__r)
void set_value_at_thread_exit (_Res &&__r)
void set_value_at_thread_exit (const _Res &__r)
void swap (promise &__rhs) noexcept

  Friends

template<typename, typename> struct _State::_Setter

Detailed Description

  template<typename _Res>
class std::promise< _Res >"Primary template for promise.

Author

Generated automatically by Doxygen for libstdc++ from the source code.